{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.system.udiskie;
in {
  options.system.udiskie = {
    enable = lib.mkEnableOption "enable udiskie for automount on nixos side";
  };

  config = lib.mkIf cfg.enable {
    services.udisks2.enable = true;
  };
}
